# TODO:  /etc/xdg/lxpanel - proper tags/flags etc.
Summary:	LXPanel is a lightweight X11 desktop panel
Name:		lxpanel
Version:	0.7.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	39698de2c5eda2837607762c9f522cd0
URL:		http://wiki.lxde.org/en/LXPanel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.12
BuildRequires:	alsa-lib-devel
BuildRequires:	gettext-tools
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	intltool
BuildRequires:	libiw-devel
BuildRequires:	libwnck2-devel
BuildRequires:	libtool
BuildRequires:	libfm-devel
BuildRequires:	menu-cache-devel
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	lxmenu-data
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LXPanel is a lightweight X11 desktop panel.

%package devel
Summary:	Header files for lxpanel library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lxpanel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for lxpanel library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lxpanel.

%prep
%setup -q

%build
%{__aclocal}
%{__autoheader}
%{__libtoolize}
%{__intltoolize}
%{__automake}
%{__autoconf}
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxpanel
%attr(755,root,root) %{_bindir}/lxpanelctl
%dir %{_libdir}/lxpanel
%dir %{_libdir}/lxpanel/plugins
%attr(755,root,root) %{_libdir}/lxpanel/plugins/*.so
%{_mandir}/man1/lxpanel.1*
%{_mandir}/man1/lxpanelctl.1*

%dir %{_datadir}/lxpanel
##%{_datadir}/lxpanel/profile
%{_datadir}/lxpanel/ui

%dir %{_datadir}/lxpanel/images
%{_datadir}/lxpanel/images/*.png

%dir %{_datadir}/lxpanel/images/xkb-flags
# TODO: lang tags here
%{_datadir}/lxpanel/images/xkb-flags/*.png

%dir %{_datadir}/lxpanel/xkeyboardconfig
%{_datadir}/lxpanel/xkeyboardconfig/*.cfg

%{_sysconfdir}/xdg/lxpanel

%files devel
%defattr(644,root,root,755)
%dir %{_includedir}/lxpanel
%{_includedir}/lxpanel/*.h
%{_pkgconfigdir}/lxpanel.pc
%changelog
* Sat Nov 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lxpanel.git;a=log;h=master

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> e256532
- release 2 (by relup.sh)

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 81a274e
- updated BRs

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2a6f783
- updated gettext BR

* Wed Aug 27 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0d9aa03
- updated to 0.7.0
- deleted obsolete patches
- TODO

* Thu Jul 18 2013 Marcin Krol <hawk@tld-linux.org> c50ef7b
- fixed copy/paste error, release 2

* Thu Jul 18 2013 Marcin Krol <hawk@tld-linux.org> c8ce7ab
- updated to 0.5.12 (removed obsolete AM_PROG_AR.patch, added werror.patch
  to fix build with -Werror=format-security)

* Mon Jun 11 2012 witekfl <witekfl@pld-linux.org> 259600d
- up to 0.5.10
- added two patches for automake-1.12

* Mon Jun 11 2012 witekfl <witekfl@pld-linux.org> 77186c9
- compilation fix for automake-1.12

* Mon Jun 11 2012 witekfl <witekfl@pld-linux.org> adbf478
- missing macro

* Sat Jun 02 2012 witekfl <witekfl@pld-linux.org> 0bbbc50
- 0.5.9
- BR: autoconf, automake, libiw-devel, libwnck2-devel
- the configure regenerated because there were linking problems

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> c01a2ae
- rebuild

* Mon Aug 15 2011 lmasko <lmasko@pld-linux.org> 4d83240
- Locale fix.

* Mon Aug 15 2011 Elan Ruusamäe <glen@pld-linux.org> ecbd6b9
- up to 0.5.8

* Tue Sep 14 2010 Elan Ruusamäe <glen@pld-linux.org> 295739b
- more precise urls

* Fri Jul 30 2010 sparky <sparky@pld-linux.org> b492e29
- dropped BR: gawk (added by mistake, mawk is fine)

* Fri Jul 30 2010 sparky <sparky@pld-linux.org> d7700ef
- BR: gawk, gettext-devel, intltool, pkgconfig

* Fri Jul 30 2010 Elan Ruusamäe <glen@pld-linux.org> 1035029
- verbose data files to note possible lang tags

* Fri Jul 30 2010 Elan Ruusamäe <glen@pld-linux.org> dfa4d0c
- devel subpackage

* Thu Jul 29 2010 witekfl <witekfl@pld-linux.org> dc8f01a
- new

